Reference
Data products
List Runs
Query Parameters
task_id?|
workflow_document_id?|
thread_id?|
status?|
root_only?boolean
Default
falselimit?integer
Default
50offset?integer
Default
0Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/data-products/runs"{
"items": [
{
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"depth": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"originRoomId": "2e579e6d-0364-4b50-80c4-a02472f9bbb8",
"originRoomRunId": "ba21eb37-a75f-4035-bf67-ae4ed5202077",
"originThreadId": "0b812833-7145-4cf2-b32f-34cb030a4d29",
"outcome": {
"artifactId": "string",
"artifactName": "string",
"rendererKind": "string",
"rowCount": 0,
"summary": "string",
"version": 0
},
"parentRunId": "c21598d9-9e11-4929-a44f-027d54e71332",
"rootRunId": "9ebe2451-18c3-443e-8722-06064c27d8bb",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"taskDisplayName": "string",
"taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
"triggerRef": "string",
"triggeredBy": "string",
"workflowDocumentId": "834c4967-5804-4c05-91f4-0493e12cb0c9",
"workflowDocumentTitle": "string",
"workflowDocumentVersion": 0,
"workflowDocumentVersionId": "cf4a2665-88fb-4276-91c7-48bc9272334e",
"workflowDocumentVersionLabel": "string",
"workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Run
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
context*
taskName?|
triggeredBy?string
Default
"api"workflowDocumentId?|
workspaceId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/data-products/runs" \ -H "Content-Type: application/json" \ -d '{ "context": {} }'{
"completedAt": "2019-08-24T14:15:22Z",
"context": {},
"createdAt": "2019-08-24T14:15:22Z",
"depth": 0,
"error": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"observability": {
"loadedSkillSlugs": [
"string"
],
"modelId": "string",
"provider": "string",
"traceProvider": "string",
"usage": {
"cacheWriteTokens": 0,
"cachedInputTokens": 0,
"inputTokens": 0,
"outputTokens": 0,
"totalCost": "string"
}
},
"originRoomId": "2e579e6d-0364-4b50-80c4-a02472f9bbb8",
"originRoomRunId": "ba21eb37-a75f-4035-bf67-ae4ed5202077",
"originThreadId": "0b812833-7145-4cf2-b32f-34cb030a4d29",
"outcome": {
"artifactId": "string",
"artifactName": "string",
"rendererKind": "string",
"rowCount": 0,
"summary": "string",
"version": 0
},
"parentRunId": "c21598d9-9e11-4929-a44f-027d54e71332",
"result": {},
"rootRunId": "9ebe2451-18c3-443e-8722-06064c27d8bb",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"steps": [
{
"completedAt": "2019-08-24T14:15:22Z",
"durationMs": 0,
"error": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"output": {},
"sequence": 0,
"sourceType": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"stepKey": "string",
"toolCallId": "string",
"toolName": "string"
}
],
"taskDisplayName": "string",
"taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
"transcriptContent": "string",
"transcriptRawData": {},
"transcriptUpdatedAt": "2019-08-24T14:15:22Z",
"triggerRef": "string",
"triggeredBy": "string",
"workflowDocumentId": "834c4967-5804-4c05-91f4-0493e12cb0c9",
"workflowDocumentTitle": "string",
"workflowDocumentVersion": 0,
"workflowDocumentVersionId": "cf4a2665-88fb-4276-91c7-48bc9272334e",
"workflowDocumentVersionLabel": "string",
"workflowRuntimeSnapshot": {
"document": {
"capturedAt": "2019-08-24T14:15:22Z",
"documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
"documentVersion": 0,
"documentVersionId": "d362740e-028b-4a92-841c-1ec552a1ee56",
"documentVersionLabel": "string",
"title": "string"
},
"kind": "workflow_runtime_snapshot"
},
"workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/data-products/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"completedAt": "2019-08-24T14:15:22Z",
"context": {},
"createdAt": "2019-08-24T14:15:22Z",
"depth": 0,
"error": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"observability": {
"loadedSkillSlugs": [
"string"
],
"modelId": "string",
"provider": "string",
"traceProvider": "string",
"usage": {
"cacheWriteTokens": 0,
"cachedInputTokens": 0,
"inputTokens": 0,
"outputTokens": 0,
"totalCost": "string"
}
},
"originRoomId": "2e579e6d-0364-4b50-80c4-a02472f9bbb8",
"originRoomRunId": "ba21eb37-a75f-4035-bf67-ae4ed5202077",
"originThreadId": "0b812833-7145-4cf2-b32f-34cb030a4d29",
"outcome": {
"artifactId": "string",
"artifactName": "string",
"rendererKind": "string",
"rowCount": 0,
"summary": "string",
"version": 0
},
"parentRunId": "c21598d9-9e11-4929-a44f-027d54e71332",
"result": {},
"rootRunId": "9ebe2451-18c3-443e-8722-06064c27d8bb",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"steps": [
{
"completedAt": "2019-08-24T14:15:22Z",
"durationMs": 0,
"error": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"output": {},
"sequence": 0,
"sourceType": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"stepKey": "string",
"toolCallId": "string",
"toolName": "string"
}
],
"taskDisplayName": "string",
"taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
"transcriptContent": "string",
"transcriptRawData": {},
"transcriptUpdatedAt": "2019-08-24T14:15:22Z",
"triggerRef": "string",
"triggeredBy": "string",
"workflowDocumentId": "834c4967-5804-4c05-91f4-0493e12cb0c9",
"workflowDocumentTitle": "string",
"workflowDocumentVersion": 0,
"workflowDocumentVersionId": "cf4a2665-88fb-4276-91c7-48bc9272334e",
"workflowDocumentVersionLabel": "string",
"workflowRuntimeSnapshot": {
"document": {
"capturedAt": "2019-08-24T14:15:22Z",
"documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
"documentVersion": 0,
"documentVersionId": "d362740e-028b-4a92-841c-1ec552a1ee56",
"documentVersionLabel": "string",
"title": "string"
},
"kind": "workflow_runtime_snapshot"
},
"workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Cancel Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/data-products/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{
"completedAt": "2019-08-24T14:15:22Z",
"context": {},
"createdAt": "2019-08-24T14:15:22Z",
"depth": 0,
"error": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"observability": {
"loadedSkillSlugs": [
"string"
],
"modelId": "string",
"provider": "string",
"traceProvider": "string",
"usage": {
"cacheWriteTokens": 0,
"cachedInputTokens": 0,
"inputTokens": 0,
"outputTokens": 0,
"totalCost": "string"
}
},
"originRoomId": "2e579e6d-0364-4b50-80c4-a02472f9bbb8",
"originRoomRunId": "ba21eb37-a75f-4035-bf67-ae4ed5202077",
"originThreadId": "0b812833-7145-4cf2-b32f-34cb030a4d29",
"outcome": {
"artifactId": "string",
"artifactName": "string",
"rendererKind": "string",
"rowCount": 0,
"summary": "string",
"version": 0
},
"parentRunId": "c21598d9-9e11-4929-a44f-027d54e71332",
"result": {},
"rootRunId": "9ebe2451-18c3-443e-8722-06064c27d8bb",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"steps": [
{
"completedAt": "2019-08-24T14:15:22Z",
"durationMs": 0,
"error": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"output": {},
"sequence": 0,
"sourceType": "string",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"stepKey": "string",
"toolCallId": "string",
"toolName": "string"
}
],
"taskDisplayName": "string",
"taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
"transcriptContent": "string",
"transcriptRawData": {},
"transcriptUpdatedAt": "2019-08-24T14:15:22Z",
"triggerRef": "string",
"triggeredBy": "string",
"workflowDocumentId": "834c4967-5804-4c05-91f4-0493e12cb0c9",
"workflowDocumentTitle": "string",
"workflowDocumentVersion": 0,
"workflowDocumentVersionId": "cf4a2665-88fb-4276-91c7-48bc9272334e",
"workflowDocumentVersionLabel": "string",
"workflowRuntimeSnapshot": {
"document": {
"capturedAt": "2019-08-24T14:15:22Z",
"documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
"documentVersion": 0,
"documentVersionId": "d362740e-028b-4a92-841c-1ec552a1ee56",
"documentVersionLabel": "string",
"title": "string"
},
"kind": "workflow_runtime_snapshot"
},
"workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Stream Run Events
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/data-products/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Run Tree
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/data-products/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/tree"{
"items": [
{
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"depth": 0,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"originRoomId": "2e579e6d-0364-4b50-80c4-a02472f9bbb8",
"originRoomRunId": "ba21eb37-a75f-4035-bf67-ae4ed5202077",
"originThreadId": "0b812833-7145-4cf2-b32f-34cb030a4d29",
"outcome": {
"artifactId": "string",
"artifactName": "string",
"rendererKind": "string",
"rowCount": 0,
"summary": "string",
"version": 0
},
"parentRunId": "c21598d9-9e11-4929-a44f-027d54e71332",
"rootRunId": "9ebe2451-18c3-443e-8722-06064c27d8bb",
"startedAt": "2019-08-24T14:15:22Z",
"status": "string",
"taskDisplayName": "string",
"taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
"triggerRef": "string",
"triggeredBy": "string",
"workflowDocumentId": "834c4967-5804-4c05-91f4-0493e12cb0c9",
"workflowDocumentTitle": "string",
"workflowDocumentVersion": 0,
"workflowDocumentVersionId": "cf4a2665-88fb-4276-91c7-48bc9272334e",
"workflowDocumentVersionLabel": "string",
"workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Published Tasks
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/data-products/tasks"{
"items": [
{
"category": "string",
"contextVars": [
{
"default": {},
"description": "string",
"name": "string",
"required": true,
"resolveFrom": "string",
"type": "string"
}
],
"description": "string",
"displayName": "string",
"executionMode": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}